<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwAccessControl: fwAccessControl.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwAccessControl
   &#160;<span id="projectnumber">8.4.4</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwAccessControl_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">fwAccessControl.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga2935e125dc25564ae6e3831569872a4c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga2935e125dc25564ae6e3831569872a4c">_fwAccessControl_exportDomain</a> (dyn_string &amp;expCmd, string domainName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga2935e125dc25564ae6e3831569872a4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b4f0073a3ee5478a2a3da8d18908a7c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga2b4f0073a3ee5478a2a3da8d18908a7c">_fwAccessControl_exportGroup</a> (dyn_string &amp;expCmd, string groupName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga2b4f0073a3ee5478a2a3da8d18908a7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff8b2292fbc47ea9c733b44bae44c279"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gaff8b2292fbc47ea9c733b44bae44c279">_fwAccessControl_exportSubGroup</a> (dyn_string &amp;expCmd, string groupName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaff8b2292fbc47ea9c733b44bae44c279"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac35d5a367dfe190c8ad8572c88b4780a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gac35d5a367dfe190c8ad8572c88b4780a">_fwAccessControl_exportUser</a> (dyn_string &amp;expCmd, string userName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gac35d5a367dfe190c8ad8572c88b4780a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa570280e237bf02f2d49e8919298e608"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl_8ctl.html#aa570280e237bf02f2d49e8919298e608">_fwAccessControl_encryptString</a> (string s, anytype key)</td></tr>
<tr class="separator:aa570280e237bf02f2d49e8919298e608"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b26d83d1cc2495f7b62ec4d9dd4f455"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl_8ctl.html#a2b26d83d1cc2495f7b62ec4d9dd4f455">_fwAccessControl_checkDoServerSync</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a2b26d83d1cc2495f7b62ec4d9dd4f455"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48b641ebe65730bd5de5f2dd1b945ae8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl_8ctl.html#a48b641ebe65730bd5de5f2dd1b945ae8">_fwAccessControl_enableAccesControl</a> (bool enabled, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a48b641ebe65730bd5de5f2dd1b945ae8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6b430f0427df2051a4e18224472b007"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl_8ctl.html#ac6b430f0427df2051a4e18224472b007">_fwAccessControl_isAccessControlEnabled</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ac6b430f0427df2051a4e18224472b007"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87cab67e078d2330811c77b20ae69f19"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl_8ctl.html#a87cab67e078d2330811c77b20ae69f19">fwAccessControl_SuspendModifications</a> (bool suspend, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a87cab67e078d2330811c77b20ae69f19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f1ce49f00527da770fa696e138d3147"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl_8ctl.html#a3f1ce49f00527da770fa696e138d3147">_fwAccessControl_extAuth_initDeviceDriver</a> (string deviceType, string hostName, string cookie, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a3f1ce49f00527da770fa696e138d3147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6f34499bf3ed32ae807f4d1c34ca1fb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl_8ctl.html#af6f34499bf3ed32ae807f4d1c34ca1fb">fwAccessControl_checkWorkstationPermissions</a> (string workstationName, string userName, bit32 &amp;permissions, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:af6f34499bf3ed32ae807f4d1c34ca1fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8e01d67bd1317c9468a38363b79e5ac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl_8ctl.html#aa8e01d67bd1317c9468a38363b79e5ac">fwAccessControl_getWorkstationPermissions</a> (dyn_string &amp;workstationNames, dyn_string &amp;groupNames, dyn_bit32 &amp;permissions, dyn_string &amp;exceptionInfo, string userName=&quot;*&quot;)</td></tr>
<tr class="separator:aa8e01d67bd1317c9468a38363b79e5ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b17a6faeda57514807d04049714d4f3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl_8ctl.html#a2b17a6faeda57514807d04049714d4f3">fwAccessControl_setWorkstationPermissions</a> (dyn_string workstationNames, dyn_string groupNames, dyn_bit32 permissions, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a2b17a6faeda57514807d04049714d4f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34254e7d8e2b443301384fea415e1b34"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl_8ctl.html#a34254e7d8e2b443301384fea415e1b34">fwAccessControl_genericNotify</a> (string s1, string s2=&quot;&quot;, string s3=&quot;&quot;, int errcatEntry=2000, int prio=PRIO_INFO)</td></tr>
<tr class="separator:a34254e7d8e2b443301384fea415e1b34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36246e96b667bd2f197ff96381ea9eff"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl_8ctl.html#a36246e96b667bd2f197ff96381ea9eff">_fwAccessControl_getManNameFromId</a> (int manid)</td></tr>
<tr class="separator:a36246e96b667bd2f197ff96381ea9eff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">General-Purpose functions</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>see also the module <a class="el" href="group__GeneralPurposeFunctions.html">General-Purpose functions</a> </p>
</div></td></tr>
<tr class="memitem:gaf1b96928b001fc70083bfb53fa41a9af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gaf1b96928b001fc70083bfb53fa41a9af">fwAccessControl_displayException</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaf1b96928b001fc70083bfb53fa41a9af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa5b2903c704df7e2b4c6469797d4a1b4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gaa5b2903c704df7e2b4c6469797d4a1b4">fwAccessControl_displayMessage</a> (string message)</td></tr>
<tr class="separator:gaa5b2903c704df7e2b4c6469797d4a1b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa16dd2718896502fe68362cdb4d94743"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gaa16dd2718896502fe68362cdb4d94743">fwAccessControl_raiseException</a> (dyn_string &amp;exceptionInfo, string title, string detail, string extraInfo=&quot;&quot;)</td></tr>
<tr class="separator:gaa16dd2718896502fe68362cdb4d94743"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga730ca16f286ceea0a9e87a474c5c8c83"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga730ca16f286ceea0a9e87a474c5c8c83">fwAccessControl_help</a> (string what)</td></tr>
<tr class="separator:ga730ca16f286ceea0a9e87a474c5c8c83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabc2f4254bdcf60481a730b09540a8de4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gabc2f4254bdcf60481a730b09540a8de4">fwAccessControl_logout</a> () synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:gabc2f4254bdcf60481a730b09540a8de4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6edf9e9111c8629ee2e89adeeab72bfc"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga6edf9e9111c8629ee2e89adeeab72bfc">_fwAccessControl_gainRoot</a> (blob auth)</td></tr>
<tr class="separator:ga6edf9e9111c8629ee2e89adeeab72bfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab42c7b5b70ea4f94ddfafa4ea1f33612"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gab42c7b5b70ea4f94ddfafa4ea1f33612">_fwAccessControl_sudo</a> (string function, mixed &amp;params, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gab42c7b5b70ea4f94ddfafa4ea1f33612"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae21d9b591a6d4e56aa7c5af22be2073a"><td class="memItemLeft" align="right" valign="top">mixed&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gae21d9b591a6d4e56aa7c5af22be2073a">_fwAccessControl_initializeHookWrapper</a> (mixed dummyParams)</td></tr>
<tr class="separator:gae21d9b591a6d4e56aa7c5af22be2073a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadbe7f7cc98414d9b3205fc6ee04fdb81"><td class="memItemLeft" align="right" valign="top">mixed&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gadbe7f7cc98414d9b3205fc6ee04fdb81">_fwAccessControl_dpSetSudoWrapper</a> (mixed params)</td></tr>
<tr class="separator:gadbe7f7cc98414d9b3205fc6ee04fdb81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga16bc85510b4cb111bc7c5182154269eb"><td class="memItemLeft" align="right" valign="top">
mixed&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_rebuildSystemPrivilegesSudo</b> (mixed params)</td></tr>
<tr class="separator:ga16bc85510b4cb111bc7c5182154269eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga812f9476c9289ee734af16730fd69c82"><td class="memItemLeft" align="right" valign="top">mixed&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga812f9476c9289ee734af16730fd69c82">_fwAccessControl_dpCreateSudoWrapper</a> (mixed params)</td></tr>
<tr class="separator:ga812f9476c9289ee734af16730fd69c82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a0e5f604236a7f9e6819f38fa04c7b6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga6a0e5f604236a7f9e6819f38fa04c7b6">fwAccessControl_login</a> ()</td></tr>
<tr class="separator:ga6a0e5f604236a7f9e6819f38fa04c7b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb6ffc28e55948be4f97cbbd2b721471"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gaeb6ffc28e55948be4f97cbbd2b721471">_fwAccessControl_isUI</a> ()</td></tr>
<tr class="separator:gaeb6ffc28e55948be4f97cbbd2b721471"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc22bb2cd7a8608113badc62fd8a17f5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gacc22bb2cd7a8608113badc62fd8a17f5">_fwAccessControl_integratedMode</a> ()</td></tr>
<tr class="separator:gacc22bb2cd7a8608113badc62fd8a17f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga749bce3943c050ef06676b32341502e3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga749bce3943c050ef06676b32341502e3">fwAccessControl_setupPanel</a> (string callbackFunctionName, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga749bce3943c050ef06676b32341502e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf193b9b29df2c3eb69da5537ad0d107c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gaf193b9b29df2c3eb69da5537ad0d107c">fwAccessControl_getUserName</a> (string &amp;userName)</td></tr>
<tr class="separator:gaf193b9b29df2c3eb69da5537ad0d107c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc3ba50bdca365a9b1a33fd1fac8b327"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gacc3ba50bdca365a9b1a33fd1fac8b327">fwAccessControl_getCurrentRole</a> (string &amp;currentRole)</td></tr>
<tr class="separator:gacc3ba50bdca365a9b1a33fd1fac8b327"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac3f9e8f7ade1adae1a80284c46d5e7d8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gac3f9e8f7ade1adae1a80284c46d5e7d8">fwAccessControl_setRole</a> (string role, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gac3f9e8f7ade1adae1a80284c46d5e7d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga841500f8b693fe62d7f5499a419967f7"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga841500f8b693fe62d7f5499a419967f7">_fwAccessControl_getManagerTypeName</a> (char mantype)</td></tr>
<tr class="separator:ga841500f8b693fe62d7f5499a419967f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3301f7228f905b9708ad329d287a541b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga3301f7228f905b9708ad329d287a541b">fwAccessControl_getDisplayInfo</a> (int manId, string &amp;hostName, string &amp;ip, int &amp;manNum, time &amp;startTime, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga3301f7228f905b9708ad329d287a541b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga88bc8f18e58cc5c65bab7a82ec39bcd7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga88bc8f18e58cc5c65bab7a82ec39bcd7">fwAccessControl_getMyDisplay</a> (string &amp;hostName, string &amp;ip, int &amp;manNum, time &amp;startTime, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga88bc8f18e58cc5c65bab7a82ec39bcd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7d4eabb21091ab09f635578dc02a3129"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga7d4eabb21091ab09f635578dc02a3129">fwAccessControl_getConfiguration</a> (dyn_mixed &amp;configuration, dyn_string &amp;exceptionInfo, string sysName=&quot;&quot;)</td></tr>
<tr class="separator:ga7d4eabb21091ab09f635578dc02a3129"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d4f4052bd723c432163e8f7f5d4921c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga4d4f4052bd723c432163e8f7f5d4921c">fwAccessControl_setConfiguration</a> (dyn_mixed configuration, dyn_string &amp;exceptionInfo, string sysName=&quot;&quot;)</td></tr>
<tr class="separator:ga4d4f4052bd723c432163e8f7f5d4921c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad74b1add87c0d0d63790e06d1f5338cf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gad74b1add87c0d0d63790e06d1f5338cf">fwAccessControl_checkAddDomain</a> (string domainName, dyn_string privileges, dyn_string &amp;exceptionInfo, string domainFullName=&quot;&quot;, string domainComment=&quot;&quot;)</td></tr>
<tr class="separator:gad74b1add87c0d0d63790e06d1f5338cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad5bfc95d26cbd427111747fab4d6d470"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gad5bfc95d26cbd427111747fab4d6d470">fwAccessControl_checkAddGroup</a> (string groupName, dyn_string privileges, dyn_string &amp;exceptionInfo, string groupFullName=&quot;&quot;, string groupComment=&quot;&quot;)</td></tr>
<tr class="separator:gad5bfc95d26cbd427111747fab4d6d470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga697ea219c143967dba7d7a3f77911009"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga697ea219c143967dba7d7a3f77911009">fwAccessControl_checkAddUser</a> (string userName, dyn_string groups, dyn_string &amp;exceptionInfo, string userFullName=&quot;&quot;, string userComment=&quot;&quot;, string userPassword=&quot;&quot;, bool enabled=TRUE, int userId=-1, bool passwordAlreadyCrypted=FALSE, bool localAccount=FALSE)</td></tr>
<tr class="separator:ga697ea219c143967dba7d7a3f77911009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ab71815da32574f50682bdbe8187950"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga0ab71815da32574f50682bdbe8187950">fwAccessControl_setUsers</a> (dyn_string userNames, dyn_dyn_string userGroups, dyn_string userFullNames, dyn_string userComments, dyn_string userPasswords, dyn_bool usersEnabled, dyn_int &amp;userIds, dyn_bool pwdsCrypted, dyn_bool localAccounts, int resetMode, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga0ab71815da32574f50682bdbe8187950"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2f3a09961dbfe2f7aec6069de3ddf3ad"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga2f3a09961dbfe2f7aec6069de3ddf3ad">fwAccessControl_checkPassword</a> (string userName, string password, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga2f3a09961dbfe2f7aec6069de3ddf3ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga29e7bcd7e9f373193d78bbd48f13029a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga29e7bcd7e9f373193d78bbd48f13029a">_fwAccessControl_generateRandomPassword</a> ()</td></tr>
<tr class="separator:ga29e7bcd7e9f373193d78bbd48f13029a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga552590b20f3340137f8f071b43467818"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga552590b20f3340137f8f071b43467818">fwAccessControl_changePassword</a> (string userName, string currentPassword, string newPassword, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga552590b20f3340137f8f071b43467818"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4f5014837f6ba40cf25cde0bb263ab8f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga4f5014837f6ba40cf25cde0bb263ab8f">fwAccessControl_getActiveUsers</a> (dyn_string &amp;users, dyn_string &amp;uis, dyn_string &amp;uiHosts, dyn_string &amp;loginTimes, dyn_string &amp;exceptionInfo, string sysName=&quot;&quot;)</td></tr>
<tr class="separator:ga4f5014837f6ba40cf25cde0bb263ab8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga899a0951d8df72b1ff3ce74c8e0ef768"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga899a0951d8df72b1ff3ce74c8e0ef768">fwAccessControl_selectPrivileges</a> (dyn_string &amp;privileges, string text=&quot;&quot;, bool showSystemDomain=FALSE)</td></tr>
<tr class="separator:ga899a0951d8df72b1ff3ce74c8e0ef768"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2106681fe7a3677682e1f4130505ba00"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga2106681fe7a3677682e1f4130505ba00">_fwAccessControl_exportToPostInstall</a> (string fileName)</td></tr>
<tr class="separator:ga2106681fe7a3677682e1f4130505ba00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Domain-related functions</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>see also the module <a class="el" href="group__DomainFunctions.html">Domain manipulation functions</a> </p>
</div></td></tr>
<tr class="memitem:gac156e10b520f67122028953e488bebb2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__DomainFunctions.html#gac156e10b520f67122028953e488bebb2">fwAccessControl_getAllDomains</a> (dyn_string &amp;domainlist, dyn_string &amp;fullDomainNames, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gac156e10b520f67122028953e488bebb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b7866b88030af9311c61729aad57a36"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__DomainFunctions.html#ga2b7866b88030af9311c61729aad57a36">fwAccessControl_deleteDomain</a> (string domainName, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga2b7866b88030af9311c61729aad57a36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga216ea3b4fcb313233e67df690444397f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__DomainFunctions.html#ga216ea3b4fcb313233e67df690444397f">fwAccessControl_getDomain</a> (string domainName, string &amp;domainFullName, string &amp;domainComment, int &amp;domainId, dyn_string &amp;privilegeNames, dyn_int &amp;privilegeIds, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga216ea3b4fcb313233e67df690444397f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaead1e1d9be6d7aa61bbdf94f176c928"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__DomainFunctions.html#gaaead1e1d9be6d7aa61bbdf94f176c928">fwAccessControl_createDomain</a> (string domainName, string domainFullName, string domainComment, dyn_string privileges, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:gaaead1e1d9be6d7aa61bbdf94f176c928"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ee5a9850968183379ae3905bdfcf846"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__DomainFunctions.html#ga0ee5a9850968183379ae3905bdfcf846">fwAccessControl_updateDomain</a> (string domainName, string newDomainName, string domainFullName, string domainComment, dyn_string privileges, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga0ee5a9850968183379ae3905bdfcf846"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Group-related functions</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>see also the module <a class="el" href="group__GroupFunctions.html">Group manipulation functions</a> </p>
</div></td></tr>
<tr class="memitem:ga9982f3c5f631dcb1bf97d71ceee74ef7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GroupFunctions.html#ga9982f3c5f631dcb1bf97d71ceee74ef7">fwAccessControl_getAllGroups</a> (dyn_string &amp;grouplist, dyn_string &amp;fullGroupNames, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga9982f3c5f631dcb1bf97d71ceee74ef7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9babf4fab11fb98c59977bafa38ab669"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GroupFunctions.html#ga9babf4fab11fb98c59977bafa38ab669">fwAccessControl_getGroup</a> (string groupName, string &amp;groupFullName, string &amp;description, int &amp;groupId, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga9babf4fab11fb98c59977bafa38ab669"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8a39eefcab8455d1974490b5901b75a1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GroupFunctions.html#ga8a39eefcab8455d1974490b5901b75a1">fwAccessControl_deleteGroup</a> (string groupName, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga8a39eefcab8455d1974490b5901b75a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5f604752671fb2cb93f3ff70ed11f8af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GroupFunctions.html#ga5f604752671fb2cb93f3ff70ed11f8af">fwAccessControl_createGroup</a> (string groupName, string groupFullName, string groupComment, dyn_string privileges, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga5f604752671fb2cb93f3ff70ed11f8af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga96f3b73d9c8819043fac868aa2c315e2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GroupFunctions.html#ga96f3b73d9c8819043fac868aa2c315e2">fwAccessControl_updateGroup</a> (string groupName, string newGroupName, string groupFullName, string groupComment, dyn_string privileges, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga96f3b73d9c8819043fac868aa2c315e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaadfa4d5ccca092279009e4bcf7cf194a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GroupFunctions.html#gaadfa4d5ccca092279009e4bcf7cf194a">fwAccessControl_getGroupMembers</a> (string groupName, dyn_string &amp;members, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaadfa4d5ccca092279009e4bcf7cf194a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga37e102e7a47c125753f1e30df86f9eab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GroupFunctions.html#ga37e102e7a47c125753f1e30df86f9eab">fwAccessControl_resolveGroupsRecursively</a> (dyn_string groupNames, dyn_string &amp;includedGroups, dyn_string &amp;includedBy, dyn_string &amp;exceptionInfo, bool recursive=TRUE)</td></tr>
<tr class="separator:ga37e102e7a47c125753f1e30df86f9eab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0fe0f8be6fb4ebf2619fa722aeda0aef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GroupFunctions.html#ga0fe0f8be6fb4ebf2619fa722aeda0aef">fwAccessControl_getGroupsInGroup</a> (string groupName, dyn_string &amp;includedGroups, dyn_string &amp;exceptionInfo, bool recursive=FALSE)</td></tr>
<tr class="separator:ga0fe0f8be6fb4ebf2619fa722aeda0aef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4e040b5dcaa1662f720a82bf75ad201a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GroupFunctions.html#ga4e040b5dcaa1662f720a82bf75ad201a">fwAccessControl_setGroupsInGroup</a> (string groupName, dyn_string includedGroups, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga4e040b5dcaa1662f720a82bf75ad201a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">User-related functions</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>see also the module <a class="el" href="group__UserFunctions.html">User manipulation functions</a> </p>
</div></td></tr>
<tr class="memitem:ga5ccdb5884faa34ca139790cad1cabdd9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#ga5ccdb5884faa34ca139790cad1cabdd9">fwAccessControl_getAllUsers</a> (dyn_string &amp;userlist, dyn_string &amp;fullUserNames, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga5ccdb5884faa34ca139790cad1cabdd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5b82b44383c2a578a58945021f0d50ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#ga5b82b44383c2a578a58945021f0d50ec">fwAccessControl_getUser</a> (string userName, string &amp;userFullName, string &amp;description, int &amp;userId, bool &amp;enabled, dyn_string &amp;groupNames, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga5b82b44383c2a578a58945021f0d50ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7dde8c4cb2e0dff6be63558c063350cd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#ga7dde8c4cb2e0dff6be63558c063350cd">fwAccessControl_deleteUser</a> (string userName, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga7dde8c4cb2e0dff6be63558c063350cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7ad41ae09a57881b0e2ab324d6810f0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#ga7ad41ae09a57881b0e2ab324d6810f0e">fwAccessControl_createUser</a> (string userName, string userFullName, string userComment, bool enabled, string password, dyn_string groupMembership, dyn_string &amp;exceptionInfo, int userId=-1, bool passwordAlreadyCrypted=FALSE, bool localAccount=FALSE) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga7ad41ae09a57881b0e2ab324d6810f0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga083bf8249120c8883deb84d8c51ca1cf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#ga083bf8249120c8883deb84d8c51ca1cf">fwAccessControl_isUserAccountLocal</a> (string userName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga083bf8249120c8883deb84d8c51ca1cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc8ae2cb6b00b393031ff5ed67815fa5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#gacc8ae2cb6b00b393031ff5ed67815fa5">fwAccessControl_getUserRoles</a> (string userName, dyn_string &amp;userRoles, dyn_int &amp;roleLevels, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gacc8ae2cb6b00b393031ff5ed67815fa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga61cd60f644761f20ef7e3d5696a7fc50"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#ga61cd60f644761f20ef7e3d5696a7fc50">fwAccessControl_updateUser</a> (string userName, string newUserName, string userFullName, string userComment, bool enabled, string password, dyn_string groupMembership, dyn_string &amp;exceptionInfo, bool passwordAlreadyCrypted=FALSE, bool localAccount=FALSE) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:ga61cd60f644761f20ef7e3d5696a7fc50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf73f1cabc78ae8e420716078b573dc65"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__UserFunctions.html#gaf73f1cabc78ae8e420716078b573dc65">fwAccessControl_enableUserAccount</a> (string userName, bool enabled, dyn_string &amp;exceptionInfo) synchronized(_fwAccessControl_mutex)</td></tr>
<tr class="separator:gaf73f1cabc78ae8e420716078b573dc65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Permission-related functions</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>see also the module <a class="el" href="group__PermissionFunctions.html">Permission manipulation functions</a> </p>
</div></td></tr>
<tr class="memitem:ga252941306ac100c33f2b55bd0055ff15"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#ga252941306ac100c33f2b55bd0055ff15">fwAccessControl_HasUserAdminPrivilege</a> (dyn_string &amp;exceptionInfo, string user=&quot;&quot;, bool exceptionOnNotGranted=TRUE)</td></tr>
<tr class="separator:ga252941306ac100c33f2b55bd0055ff15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga186ffa5c5f7fb2fdc4880079302bb0b2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#ga186ffa5c5f7fb2fdc4880079302bb0b2">fwAccessControl_HasGroupAdminPrivilege</a> (dyn_string &amp;exceptionInfo, string user=&quot;&quot;, bool exceptionOnNotGranted=TRUE)</td></tr>
<tr class="separator:ga186ffa5c5f7fb2fdc4880079302bb0b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a8fd965ef03a3dcbd365fa2773e4720"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#ga2a8fd965ef03a3dcbd365fa2773e4720">fwAccessControl_HasDomainAdminPrivilege</a> (dyn_string &amp;exceptionInfo, string user=&quot;&quot;, bool exceptionOnNotGranted=TRUE)</td></tr>
<tr class="separator:ga2a8fd965ef03a3dcbd365fa2773e4720"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab83a70846ec8226518f65ea91177f86d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#gab83a70846ec8226518f65ea91177f86d">fwAccessControl_HasSystemAdminPrivilege</a> (dyn_string &amp;exceptionInfo, string user=&quot;&quot;, bool exceptionOnNotGranted=TRUE)</td></tr>
<tr class="separator:gab83a70846ec8226518f65ea91177f86d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e4f6acaf23bd3fda437f26bc0dd46f9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#ga3e4f6acaf23bd3fda437f26bc0dd46f9">fwAccessControl_getGroupPrivileges</a> (string groupName, dyn_string domainNames, dyn_string &amp;privileges, dyn_string &amp;exceptionInfo, bool recursively=FALSE)</td></tr>
<tr class="separator:ga3e4f6acaf23bd3fda437f26bc0dd46f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d7c7a5f17a7b71a1c80d662a407bb72"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#ga4d7c7a5f17a7b71a1c80d662a407bb72">fwAccessControl_updateGroupPrivileges</a> (string groupName, dyn_string newPrivileges, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga4d7c7a5f17a7b71a1c80d662a407bb72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga116a24fc314dd39217203d7d1d0916f5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#ga116a24fc314dd39217203d7d1d0916f5">fwAccessControl_getUserPrivileges</a> (string userName, dyn_string domainNames, dyn_string &amp;privileges, dyn_string &amp;exceptionInfo, bool strictRoleChecking=FALSE)</td></tr>
<tr class="separator:ga116a24fc314dd39217203d7d1d0916f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6fa78917bfc7ff6e851b2a36711db5df"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#ga6fa78917bfc7ff6e851b2a36711db5df">fwAccessControl_checkUserPrivilege</a> (string userName, string domainName, string privilegeName, bool &amp;granted, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga6fa78917bfc7ff6e851b2a36711db5df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2d5d0d6544a3f29d7df665f554333d71"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#ga2d5d0d6544a3f29d7df665f554333d71">fwAccessControl_checkUserPrivilege_AuthFunc</a> (string userName, string domainName, string privilegeName, bool &amp;granted, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga2d5d0d6544a3f29d7df665f554333d71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga63a29e25c6bea4a61bef8366cff195e8"><td class="memItemLeft" align="right" valign="top">
private bool&#160;</td><td class="memItemRight" valign="bottom"><b>fwAccessControl_verifyUIManAndWSAuth</b> (string userName, string domainName, string privilegeName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga63a29e25c6bea4a61bef8366cff195e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabeec0bcb9e72f6118839544d59428f5b"><td class="memItemLeft" align="right" valign="top">
private void&#160;</td><td class="memItemRight" valign="bottom"><b>fwAccessControl_checkUserPrivilege_AuthFunc_Builtin</b> (string userName, string domainName, string privilegeName, bool &amp;granted, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gabeec0bcb9e72f6118839544d59428f5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga860128edb5329590c6f2c1eeaa483d69"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><b>fwAccessControl_checkUserPrivilege_AuthFastFunc</b> (string userName, string domainName, string privilegeName, bool &amp;granted, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga860128edb5329590c6f2c1eeaa483d69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga849cae607bc8b26edce17ad209aa252c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#ga849cae607bc8b26edce17ad209aa252c">fwAccessControl_isGranted</a> (string domain_privilege, bool &amp;granted, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga849cae607bc8b26edce17ad209aa252c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac95e1354799d1e631bf7bb2402b1cd93"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#gac95e1354799d1e631bf7bb2402b1cd93">fwAccessControl_getGroupsHavingPrivilege</a> (string domainName, string privName, dyn_string &amp;groups, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gac95e1354799d1e631bf7bb2402b1cd93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga09ed5a20aa529024dd6e355700c64a08"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#ga09ed5a20aa529024dd6e355700c64a08">fwAccessControl_getUsersHavingPrivilege</a> (string domainName, string privName, dyn_string &amp;users, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga09ed5a20aa529024dd6e355700c64a08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga66d146b3e996092c2041204935d5e393"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#ga66d146b3e996092c2041204935d5e393">fwAccessControl_getPrivilegeNames</a> (string domainName, dyn_string &amp;privilegeNames, dyn_int &amp;privilegeIds, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga66d146b3e996092c2041204935d5e393"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga14fb2630696df901e75c6345717263b3"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#ga14fb2630696df901e75c6345717263b3">fwAccessControl_getAllAccessRightNames</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga14fb2630696df901e75c6345717263b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf129b8b4003e49c54fe0fa810582677b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PermissionFunctions.html#gaf129b8b4003e49c54fe0fa810582677b">fwAccessControl_setPrivilegeNames</a> (string domainName, dyn_string privilegeNames, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaf129b8b4003e49c54fe0fa810582677b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Framework domain specific functions</div></td></tr>
<tr class="memitem:ga5054e11a0e820e187e0be3c63774c08a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga5054e11a0e820e187e0be3c63774c08a">_fwAccessControl_checkInit</a> ()</td></tr>
<tr class="separator:ga5054e11a0e820e187e0be3c63774c08a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga040e74db81ce5357b4c3931b151686da"><td class="memItemLeft" align="right" valign="top">
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_dpSetSudo</b> (string dpe, mixed &amp;value, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga040e74db81ce5357b4c3931b151686da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac44b27450bc01dfa5419d54b3aa1e9d8"><td class="memItemLeft" align="right" valign="top">
private&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkRootAndParaPrivileges</b> ()</td></tr>
<tr class="separator:gac44b27450bc01dfa5419d54b3aa1e9d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad4e8872afb61b370f9d9eaea489abb78"><td class="memItemLeft" align="right" valign="top">
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_setInitialLoginAndRole</b> ()</td></tr>
<tr class="separator:gad4e8872afb61b370f9d9eaea489abb78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83a39d5f384141f17c66f08ffe6f8f62"><td class="memItemLeft" align="right" valign="top">
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkExecuteInitHook</b> ()</td></tr>
<tr class="separator:ga83a39d5f384141f17c66f08ffe6f8f62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga92a00a52124d7fc8667ef71f35585602"><td class="memItemLeft" align="right" valign="top">
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkSetupGlobalVariables</b> ()</td></tr>
<tr class="separator:ga92a00a52124d7fc8667ef71f35585602"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga88cf57aa038cffade7d42a357c7fc6e2"><td class="memItemLeft" align="right" valign="top">
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkSetupUiDpArchiving</b> ()</td></tr>
<tr class="separator:ga88cf57aa038cffade7d42a357c7fc6e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafab5fdafdc6a2ee8beafad375d4d1da8"><td class="memItemLeft" align="right" valign="top">
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkSetupConfigurationDP</b> ()</td></tr>
<tr class="separator:gafab5fdafdc6a2ee8beafad375d4d1da8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga37fc7951df79f8c20bc9bf9b0b3dbd14"><td class="memItemLeft" align="right" valign="top">
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkSetupPrivileges</b> ()</td></tr>
<tr class="separator:ga37fc7951df79f8c20bc9bf9b0b3dbd14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa6b9325077f1151c17bcdf096b9a5051"><td class="memItemLeft" align="right" valign="top">
private void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwAccessControl_checkSetupEgroupSyncDP</b> ()</td></tr>
<tr class="separator:gaa6b9325077f1151c17bcdf096b9a5051"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ga38a7d76bf27c41b68ea659b97ad47b08"><td class="memItemLeft" align="right" valign="top">global bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga38a7d76bf27c41b68ea659b97ad47b08">g_fwAccessControl_initialised</a> =FALSE</td></tr>
<tr class="separator:ga38a7d76bf27c41b68ea659b97ad47b08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa4e5f1f07124ddbfdc66fe2104612d56"><td class="memItemLeft" align="right" valign="top">global bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gaa4e5f1f07124ddbfdc66fe2104612d56">g_fwAccessControl_isInInit</a> =FALSE</td></tr>
<tr class="separator:gaa4e5f1f07124ddbfdc66fe2104612d56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeefb986ab50b667058396501bb3d6846"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gaeefb986ab50b667058396501bb3d6846">g_fwAccessControl_systemDomainName</a> =strrtrim(getSystemName(),&quot;:&quot;)</td></tr>
<tr class="separator:gaeefb986ab50b667058396501bb3d6846"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga763012f600ba1559a7e3ef713cea2fe6"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#ga763012f600ba1559a7e3ef713cea2fe6">g_fwAccessControl_systemDomainGenericName</a> =&quot;SYSTEM&quot;</td></tr>
<tr class="separator:ga763012f600ba1559a7e3ef713cea2fe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad340e47e9ca727f96641f5edba1f9270"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GeneralPurposeFunctions.html#gad340e47e9ca727f96641f5edba1f9270">g_fwAccessControl_systemDomainFullName</a> =&quot;local system&quot;</td></tr>
<tr class="separator:gad340e47e9ca727f96641f5edba1f9270"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga48da92c45250c1af9ab3bb5695bea2a1"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga48da92c45250c1af9ab3bb5695bea2a1">g_fwAccessControl_AreasDP</a> = getSystemName()+&quot;_Areas&quot;</td></tr>
<tr class="separator:ga48da92c45250c1af9ab3bb5695bea2a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1d445cd8e520c438459861d08f24873"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gaf1d445cd8e520c438459861d08f24873">g_fwAccessControl_GroupsDP</a> = getSystemName()+&quot;_Groups&quot;</td></tr>
<tr class="separator:gaf1d445cd8e520c438459861d08f24873"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gada4b7be40e4ee52dd5ea53ba55735097"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gada4b7be40e4ee52dd5ea53ba55735097">g_fwAccessControl_UsersDP</a> = getSystemName()+&quot;_Users&quot;</td></tr>
<tr class="separator:gada4b7be40e4ee52dd5ea53ba55735097"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac7311ad5d5c1daac7de8c1d3135bc7a9"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gac7311ad5d5c1daac7de8c1d3135bc7a9">g_fwAccessControl_WorkstationsDP</a> = getSystemName()+&quot;_WsPermission&quot;</td></tr>
<tr class="separator:gac7311ad5d5c1daac7de8c1d3135bc7a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad6534b9dc8d07cb402521a054ec3b9b2"><td class="memItemLeft" align="right" valign="top">global mapping&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gad6534b9dc8d07cb402521a054ec3b9b2">g_fwAccessControl_workstationAliases</a></td></tr>
<tr class="separator:gad6534b9dc8d07cb402521a054ec3b9b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga47cde3e9e832a0c1ce18bea6f332a908"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga47cde3e9e832a0c1ce18bea6f332a908">g_fwAccessControl_ConfigurationDP</a> = getSystemName()+&quot;_fwAccessControlSetup&quot;</td></tr>
<tr class="separator:ga47cde3e9e832a0c1ce18bea6f332a908"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga69ba134ea751bc4219f3d79104f3c813"><td class="memItemLeft" align="right" valign="top">global string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga69ba134ea751bc4219f3d79104f3c813">g_fwAccessControl_DefaultAdminPriv</a></td></tr>
<tr class="separator:ga69ba134ea751bc4219f3d79104f3c813"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13fa55a627724b2df750725544e58f97"><td class="memItemLeft" align="right" valign="top">private string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga13fa55a627724b2df750725544e58f97">g_fwAccessControl_CurrentRole</a></td></tr>
<tr class="separator:ga13fa55a627724b2df750725544e58f97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe72db01b032c308aa5b30d9507f7eb8"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl_8ctl.html#abe72db01b032c308aa5b30d9507f7eb8">GROUP_NAME_TO_IDX</a> =1</td></tr>
<tr class="separator:abe72db01b032c308aa5b30d9507f7eb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gada861d4c89a094655332f414d3da885b"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gada861d4c89a094655332f414d3da885b">GROUP_IDX_TO_NAME</a> =2</td></tr>
<tr class="separator:gada861d4c89a094655332f414d3da885b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13c7a53aa07053a7a687192c4e0d056a"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga13c7a53aa07053a7a687192c4e0d056a">DOMAIN_NAME_TO_IDX</a> =3</td></tr>
<tr class="separator:ga13c7a53aa07053a7a687192c4e0d056a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac9fd5363765293fd6216c45474fc2860"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#gac9fd5363765293fd6216c45474fc2860">DOMAIN_IDX_TO_NAME</a> =4</td></tr>
<tr class="separator:gac9fd5363765293fd6216c45474fc2860"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4bc1ff6d839bdbb2fe0fbb60da3b4837"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga4bc1ff6d839bdbb2fe0fbb60da3b4837">USER_NAME_TO_IDX</a> =5</td></tr>
<tr class="separator:ga4bc1ff6d839bdbb2fe0fbb60da3b4837"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4337edd52c1cef3990795d38173ebb64"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga4337edd52c1cef3990795d38173ebb64">USER_IDX_TO_NAME</a> =6</td></tr>
<tr class="separator:ga4337edd52c1cef3990795d38173ebb64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8414eb063cce47550610ccffc267b514"><td class="memItemLeft" align="right" valign="top">const bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAccessControl_8ctl.html#a8414eb063cce47550610ccffc267b514">g_fwAccessControl_ModeUNICOS</a> =false</td></tr>
<tr class="separator:a8414eb063cce47550610ccffc267b514"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>JCOP Framework Access Control library</p>
<dl class="section author"><dt>Author</dt><dd>Piotr Golonka, CERN BE/ICS-FD </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="aa570280e237bf02f2d49e8919298e608"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa570280e237bf02f2d49e8919298e608">&#9670;&nbsp;</a></span>_fwAccessControl_encryptString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string _fwAccessControl_encryptString </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">anytype&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>returns a string, in BASE64 encoding, containing the text passed in <em>s</em> , encoded with the key passed in <em>key</em> </p>

</div>
</div>
<a id="a2b26d83d1cc2495f7b62ec4d9dd4f455"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b26d83d1cc2495f7b62ec4d9dd4f455">&#9670;&nbsp;</a></span>_fwAccessControl_checkDoServerSync()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAccessControl_checkDoServerSync </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>WARNING! We cannot use _integratedMode() function! We need to test ourselves! because this is a special case where we should detect that server is running</p>

</div>
</div>
<a id="a48b641ebe65730bd5de5f2dd1b945ae8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48b641ebe65730bd5de5f2dd1b945ae8">&#9670;&nbsp;</a></span>_fwAccessControl_enableAccesControl()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAccessControl_enableAccesControl </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Enables or disables access control</p>
<p>When access control is disabled using this function, all users have effectively all privileges, i.e. the <a class="el" href="group__PermissionFunctions.html#ga6fa78917bfc7ff6e851b2a36711db5df">fwAccessControl_checkUserPrivilege</a> and <a class="el" href="group__PermissionFunctions.html#ga849cae607bc8b26edce17ad209aa252c">fwAccessControl_isGranted</a> functions always indidate that the privilege is granted.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enabled</td><td>indicated whether privilege checking should be enabled or disabled </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ac6b430f0427df2051a4e18224472b007"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6b430f0427df2051a4e18224472b007">&#9670;&nbsp;</a></span>_fwAccessControl_isAccessControlEnabled()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwAccessControl_isAccessControlEnabled </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>checks if Access Control is enabled</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="fwAccessControl_8ctl.html#a48b641ebe65730bd5de5f2dd1b945ae8">_fwAccessControl_enableAccesControl</a> </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>TRUE if privilege-checking is active, FALSE otherwise </dd></dl>

</div>
</div>
<a id="a87cab67e078d2330811c77b20ae69f19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87cab67e078d2330811c77b20ae69f19">&#9670;&nbsp;</a></span>fwAccessControl_SuspendModifications()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAccessControl_SuspendModifications </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>suspend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Resume/suspend ACServer and Egroup Synchronization</p>
<p>The function allows to suspend various user-account synchronization mechanisms, for instance to guarantee that they are not affected during engineering processes.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">suspend</td><td>: set to TRUE to suspend and FALSE to resume </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a3f1ce49f00527da770fa696e138d3147"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f1ce49f00527da770fa696e138d3147">&#9670;&nbsp;</a></span>_fwAccessControl_extAuth_initDeviceDriver()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAccessControl_extAuth_initDeviceDriver </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>deviceType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>hostName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>cookie</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>to be used only from the "device drivers" at initialization step; it will set the _fwAccessControl_extAuth_myDatapoint variable to point to the DP that handles this devices. </p>

</div>
</div>
<a id="af6f34499bf3ed32ae807f4d1c34ca1fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6f34499bf3ed32ae807f4d1c34ca1fb">&#9670;&nbsp;</a></span>fwAccessControl_checkWorkstationPermissions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAccessControl_checkWorkstationPermissions </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>workstationName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bit32 &amp;&#160;</td>
          <td class="paramname"><em>permissions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa8e01d67bd1317c9468a38363b79e5ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8e01d67bd1317c9468a38363b79e5ac">&#9670;&nbsp;</a></span>fwAccessControl_getWorkstationPermissions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAccessControl_getWorkstationPermissions </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>workstationNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>groupNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bit32 &amp;&#160;</td>
          <td class="paramname"><em>permissions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userName</em> = <code>&quot;*&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get configuration of workstation permissions</p>
<p>The function returns the current configuration of workstation permissions. The mechanism works by putting restriction on users' system permission, that are applied if a user logs into PVSS from a specified workstation.</p>
<p>This allows, in particular, to restrict the interactive logins of users from a certain console (by masking their "SYSTEM:Visualize" access right being the zero'th permission bit on certain machines), or limiting their privileges (e.g. masking-out all the privilege levels except the lowest, in all domains).</p>
<p>The mechanism is configured by specifying the permission mask that will be applied for a workstation and a group of users. A list of such entries is processed sequentially, and if a match is found (the workstation field matches the current workstation name, and the group has the specified user in it), then the processing stops, and the corresponding access right mask is used.</p>
<p>To allow for easier configuration, the workstation names could be specified using wildcards (using *,? and [] operators); they could also contain special "alias" combinations: "@ccc" (consoles in CCC) and "@localhost" (the UIs running on the same machine as the project).</p>
<p>The following example illustrates the use of workstation permissions</p>
<table class="doxtable">
<tr>
<td>Workstation </td><td>Group </td><td><p class="starttd">Permission </p>
<p class="endtd"></p>
</td></tr>
<tr>
<td>@ccc </td><td>cryo-expert </td><td>01111111111111111111111111111111  </td></tr>
<tr>
<td>@ccc </td><td>cryo-operator </td><td><p class="starttd">11111111111111111111111111111111 </p>
<p class="endtd"></p>
</td></tr>
<tr>
<td>console*.cern.ch:* </td><td>cryo-admin </td><td><p class="starttd">01111111111111111111111111111111 </p>
<p class="endtd"></p>
</td></tr>
<tr>
<td>* </td><td>* </td><td>00000000000000000000000000000001  </td></tr>
</table>
<p>In the example above the following is specified. The first line tells that all the users from the "cryo-expert" group logging in from the CCC consoles have all their rights, except the "auto login" (bit 31 is zeroed).</p>
<p>The second line specifies that the members of cryo-operator group logging in from CCC consoles will conserve all the lines;</p>
<p>The third line specifies the rights for cryo-admin members logging in from all machines that match the "console*.cern.ch:*" pattern. Note that the ":*" substring will match the Linux consoles, which always have the colon and display number (X11 DISPLAY specification) in their workstation name.</p>
<p>Ultimately, the fourth line is a fallback for all the other cases - restrict everything and leave the rights to login only (SYSTEM:Visualize, bit 0).</p>
<p>As explained before, the list is processed one entry after the other until the first match occurs. Hence, for a user "joe" belonging to both "cryo-expert" and "cryo-operator", logging in from a CCC console, this is already the first line that will set the access right mask, hence the auto-logout will be disabled. However, for a user "jane" who is only a member of "cryo-operator", the second line will match, and she will have auto-login enabled.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">workstationNames</td><td>on return it will contain the list of workstation name pattern (or aliases). Empty list means that the feature is not configured, and no workstation restriction will apply. </td></tr>
    <tr><td class="paramname">groupNames</td><td>on return it will contain the list of group names for the workstations; note that the "*" as the group name means "any group" </td></tr>
    <tr><td class="paramname">permissions</td><td>on return it will contain the permission bitmask, for workstation and a group; note that bit 0 controls the permission to login, bit 31 controls the permission for auto-login and bits 20-27 mask the permissions for privilege levels 1-8 in all the domains. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable </td></tr>
    <tr><td class="paramname">userName</td><td>(optional, default="*") if specified, then the permissions for specified user will be returned; otherwise, the complete configuration of permissions will be given </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2b17a6faeda57514807d04049714d4f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b17a6faeda57514807d04049714d4f3">&#9670;&nbsp;</a></span>fwAccessControl_setWorkstationPermissions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAccessControl_setWorkstationPermissions </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>workstationNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>groupNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bit32&#160;</td>
          <td class="paramname"><em>permissions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>set the workstation permission configuration</p>
<p>Please, see the documentation of <a class="el" href="fwAccessControl_8ctl.html#aa8e01d67bd1317c9468a38363b79e5ac">fwAccessControl_getWorkstationPermissions</a> </p>

</div>
</div>
<a id="a34254e7d8e2b443301384fea415e1b34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34254e7d8e2b443301384fea415e1b34">&#9670;&nbsp;</a></span>fwAccessControl_genericNotify()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAccessControl_genericNotify </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>s1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>s2</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>s3</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>errcatEntry</em> = <code>2000</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>prio</em> = <code>PRIO_INFO</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Printout function that uses PVSS error messages. </p>

</div>
</div>
<a id="a36246e96b667bd2f197ff96381ea9eff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36246e96b667bd2f197ff96381ea9eff">&#9670;&nbsp;</a></span>_fwAccessControl_getManNameFromId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string _fwAccessControl_getManNameFromId </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>manid</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Converts numerical managerId into text description Note! There is duplication in <a class="el" href="group__GeneralPurposeFunctions.html#ga841500f8b693fe62d7f5499a419967f7">_fwAccessControl_getManagerTypeName(char mantype)</a> Should use the native function or something from fwManager lib </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="abe72db01b032c308aa5b30d9507f7eb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe72db01b032c308aa5b30d9507f7eb8">&#9670;&nbsp;</a></span>GROUP_NAME_TO_IDX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GROUP_NAME_TO_IDX =1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>FWAC-533: mutex used in panels and must not be private </p>

</div>
</div>
<a id="a8414eb063cce47550610ccffc267b514"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8414eb063cce47550610ccffc267b514">&#9670;&nbsp;</a></span>g_fwAccessControl_ModeUNICOS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const bool g_fwAccessControl_ModeUNICOS =false</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>for backward compatibility reason, yet deprecated </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwAccessControl_8ctl.html">fwAccessControl.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
